package common

import (
	"github.com/google/wire"
	"github.guxuan/haibei/internal/mods/common/api"
	"github.guxuan/haibei/internal/mods/common/biz"
	"github.guxuan/haibei/internal/mods/common/dal"
)

var Set = wire.NewSet(
	wire.Struct(new(Common), "*"),
	wire.Struct(new(dal.ReceptionCenter), "*"),
	wire.Struct(new(biz.ReceptionCenter), "*"),
	wire.Struct(new(api.ReceptionCenter), "*"),
	wire.Struct(new(dal.SignIn), "*"),
	wire.Struct(new(dal.Common), "*"),
	wire.Struct(new(biz.Common), "*"),
	wire.Struct(new(api.Common), "*"),
	wire.Struct(new(dal.Banner), "*"),
	wire.Struct(new(biz.Banner), "*"),
	wire.Struct(new(api.Banner), "*"),
	wire.Struct(new(dal.Notice), "*"),
	wire.Struct(new(biz.Notice), "*"),
	wire.Struct(new(api.Notice), "*"),
	wire.Struct(new(dal.Company), "*"),
	wire.Struct(new(biz.Company), "*"),
	wire.Struct(new(api.Company), "*"),
	wire.Struct(new(dal.Area), "*"),
	wire.Struct(new(biz.Area), "*"),
	wire.Struct(new(api.Area), "*"),
	wire.Struct(new(dal.SMSLog), "*"),
	wire.Struct(new(biz.SMSLog), "*"),
	wire.Struct(new(api.SMSLog), "*"),
	wire.Struct(new(biz.Upload), "*"),
	wire.Struct(new(api.Upload), "*"),
)
